From e2c7dc6fef4c19a8c497426d255423772a3d7adf Mon Sep 17 00:00:00 2001
From: Daniel Gustafsson <daniel@yesql.se>
Date: Mon, 22 Jun 2020 16:19:00 +0200
Subject: [PATCH] Update comment to match reality

attoptions are no longer initialized to NULL since 911e702077037996
so update comment to match. Also update the comment with the fields
which are set to NULL since it's a bit weird to list a select few
rather than all of them.
---
 src/backend/catalog/heap.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/backend/catalog/heap.c b/src/backend/catalog/heap.c
index 9c45544815..3c83fe6bab 100644
--- a/src/backend/catalog/heap.c
+++ b/src/backend/catalog/heap.c
@@ -714,8 +714,8 @@ CheckAttributeType(const char *attname,
  *		Construct and insert a new tuple in pg_attribute.
  *
  * Caller has already opened and locked pg_attribute.  new_attribute is the
- * attribute to insert.  attcacheoff is always initialized to -1, attacl and
- * attoptions are always initialized to NULL.
+ * attribute to insert.  attcacheoff is always initialized to -1, attacl,
+ * attfdwoptions and attmissingval are always initialized to NULL.
  *
  * indstate is the index state for CatalogTupleInsertWithInfo.  It can be
  * passed as NULL, in which case we'll fetch the necessary info.  (Don't do
-- 
2.21.1 (Apple Git-122.3)

